Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class X509V1CertificateGenerator

    java.lang.Object
      org.bouncycastle.jce.X509V1CertificateGenerator

Deprecated. use the equivalent class in org.bouncycastle.x509

    public class X509V1CertificateGenerator

extends java.lang.Object

class to produce an X.509 Version 1 certificate.

Constructor Summary
`X509V1CertificateGenerator()` Deprecated.

Method Summary
`java.security.cert.X509Certificate` | `generateX509Certificate(java.security.PrivateKey key)` Deprecated. generate an X509 certificate, based on the current issuer and subject using the default provider "BC".
`java.security.cert.X509Certificate` | `generateX509Certificate(java.security.PrivateKey key, java.security.SecureRandom random)` Deprecated. generate an X509 certificate, based on the current issuer and subject using the default provider "BC" and the passed in source of randomness
`java.security.cert.X509Certificate` | `generateX509Certificate(java.security.PrivateKey key, java.lang.String provider)` Deprecated. generate an X509 certificate, based on the current issuer and subject, using the passed in provider for the signing, and the passed in source of randomness (if required).
`java.security.cert.X509Certificate` | `generateX509Certificate(java.security.PrivateKey key, java.lang.String provider, java.security.SecureRandom random)` Deprecated. generate an X509 certificate, based on the current issuer and subject, using the passed in provider for the signing, and the passed in source of randomness (if required).
`void` | `reset()` Deprecated. reset the generator
`void` | `setIssuerDN(X509Name issuer)` Deprecated. Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.
`void` | `setNotAfter(java.util.Date date)` Deprecated.
`void` | `setNotBefore(java.util.Date date)` Deprecated.
`void` | `setPublicKey(java.security.PublicKey key)` Deprecated.
`void` | `setSerialNumber(java.math.BigInteger serialNumber)` Deprecated. set the serial number for the certificate.
`void` | `setSignatureAlgorithm(java.lang.String signatureAlgorithm)` Deprecated.
`void` | `setSubjectDN(X509Name subject)` Deprecated. Set the subject distinguished name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509V1CertificateGenerator

    public X509V1CertificateGenerator()

  Deprecated.

Method Detail

### reset

    public void reset()

  Deprecated.
  reset the generator

### setSerialNumber

    public void setSerialNumber(java.math.BigInteger serialNumber)

  Deprecated.
  set the serial number for the certificate.

### setIssuerDN

    public void setIssuerDN(X509Name issuer)

  Deprecated.
  Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.

### setNotBefore

    public void setNotBefore(java.util.Date date)

  Deprecated.

### setNotAfter

    public void setNotAfter(java.util.Date date)

  Deprecated.

### setSubjectDN

    public void setSubjectDN(X509Name subject)

  Deprecated.
  Set the subject distinguished name. The subject describes the entity associated with the public key.

### setPublicKey

    public void setPublicKey(java.security.PublicKey key)

  Deprecated.

### setSignatureAlgorithm

    public void setSignatureAlgorithm(java.lang.String signatureAlgorithm)

  Deprecated.

### generateX509Certificate

    public java.security.cert.X509Certificate generateX509Certificate(java.security.PrivateKey key)
                                                               throws java.lang.SecurityException,
                                                                      java.security.SignatureException,
                                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 certificate, based on the current issuer and subject using the default provider "BC".

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509Certificate

    public java.security.cert.X509Certificate generateX509Certificate(java.security.PrivateKey key,
                                                                      java.security.SecureRandom random)
                                                               throws java.lang.SecurityException,
                                                                      java.security.SignatureException,
                                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 certificate, based on the current issuer and subject using the default provider "BC" and the passed in source of randomness

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509Certificate

    public java.security.cert.X509Certificate generateX509Certificate(java.security.PrivateKey key,
                                                                      java.lang.String provider)
                                                               throws java.security.NoSuchProviderException,
                                                                      java.lang.SecurityException,
                                                                      java.security.SignatureException,
                                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 certificate, based on the current issuer and subject, using the passed in provider for the signing, and the passed in source of randomness (if required).

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509Certificate

    public java.security.cert.X509Certificate generateX509Certificate(java.security.PrivateKey key,
                                                                      java.lang.String provider,
                                                                      java.security.SecureRandom random)
                                                               throws java.security.NoSuchProviderException,
                                                                      java.lang.SecurityException,
                                                                      java.security.SignatureException,
                                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 certificate, based on the current issuer and subject, using the passed in provider for the signing, and the passed in source of randomness (if required).

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD